org.apache.felix.ipojo.manipulator.metadata.annotation.visitor.generic

## Class RootGenericVisitor

- java.lang.Object
- - org.objectweb.asm.AnnotationVisitor
  - - org.apache.felix.ipojo.manipulator.metadata.annotation.visitor.generic.GenericVisitor
    - - org.apache.felix.ipojo.manipulator.metadata.annotation.visitor.generic.RootGenericVisitor

Direct Known Subclasses:
  FieldGenericVisitor, MethodGenericVisitor, ParameterGenericVisitor, TypeGenericVisitor

    public class RootGenericVisitor
    extends GenericVisitor

Author:
  Felix Project Team

### Field Summary

### Fields inherited from class org.apache.felix.ipojo.manipulator.metadata.annotation.visitor.generic.GenericVisitor

`element`

### Fields inherited from class org.objectweb.asm.AnnotationVisitor

`api, av`

### Constructor Summary

Constructors
Constructor and Description
`RootGenericVisitor(ComponentWorkbench workbench, org.apache.felix.ipojo.metadata.Element element, ElementType type)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `visit(String name, Object value)` Visit a 'simple' annotation attribute.
`void` `visitEnd()` End of the visit.

### Methods inherited from class org.apache.felix.ipojo.manipulator.metadata.annotation.visitor.generic.GenericVisitor

`visitAnnotation, visitArray, visitEnum`

### Methods inherited from class org.objectweb.asm.AnnotationVisitor

`getDelegate`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### RootGenericVisitor

    public RootGenericVisitor(ComponentWorkbench workbench,
                              org.apache.felix.ipojo.metadata.Element element,
                              ElementType type)

### Method Detail

#### visit

    public void visit(String name,
                      Object value)

Visit a 'simple' annotation attribute. This method is used for primitive arrays too.

Overrides:
  `visit` in class `GenericVisitor`
Parameters:
  `name` - : attribute name
  `value` - : attribute value
See Also:
  `org.objectweb.asm.commons.EmptyVisitor#visit(String, Object)`

#### visitEnd

    public void visitEnd()

End of the visit. All attribute were visited, we can update collectors data.

Overrides:
  `visitEnd` in class `org.objectweb.asm.AnnotationVisitor`
See Also:
  `org.objectweb.asm.commons.EmptyVisitor#visitEnd()`